package request

// ReportListReq 报告列表请求体
type ReportListReq struct {
	PageSize         int    `description:"每页数据量" json:"page_size" form:"page_size"`
	CurrentIndex     int    `description:"页码" json:"current_index" form:"current_index"`
	ClassifyIdFirst  int    `description:"一级分类ID" json:"classify_id_first" form:"classify_id_first"`
	ClassifyIdSecond int    `description:"二级分类ID" json:"classify_id_second" form:"classify_id_second"`
	ClassifyMenuId   int    `description:"一级分类子目录ID" json:"classify_menu_id" form:"classify_menu_id"`
	KeyWord          string `description:"关键词" json:"key_word" form:"key_word"`
}

type ReportPdfDetailReq struct {
	PdfId int `description:"PDF ID" json:"pdf_id" form:"pdf_id"`
}
