package response

// MyChartClassifyItem 用户图表分类
type MyChartClassifyItem struct {
	MyChartClassifyID   int    `json:"my_chart_classify_id"`
	MyChartClassifyName string `json:"my_chart_classify_name"`
	Sort                int    `json:"sort"`
	UserID              int    `json:"user_id"`
	CreateTime          string `json:"create_time"`
}

// MyChartItem 用户图表
type MyChartItem struct {
	MyChartID         int    `json:"my_chart_id"`
	MyChartClassifyID int    `json:"my_chart_classify_id"`
	ChartInfoID       int    `json:"chart_info_id"`
	ChartName         string `json:"chart_name"`
	UniqueCode        string `json:"unique_code"`
	ChartImage        string `json:"chart_image"`
	UserID            int    `json:"user_id"`
	ReportID          int    `json:"report_id"`
	ReportChapterID   int    `json:"report_chapter_id"`
	ChartInfoSource   int    `json:"chart_info_source"`
	CreateTime        string `json:"create_time"`
}

type MyChartListResp struct {
	List   []*MyChartItem `json:"list"`
	Paging *PagingItem    `json:"paging"`
}

// MyChartLocateItem 用户图表定位
type MyChartLocateItem struct {
	MyChartID         int    `json:"my_chart_id"`
	MyChartClassifyID int    `json:"my_chart_classify_id"`
	ChartInfoID       int    `json:"chart_info_id"`
	ChartName         string `json:"chart_name"`
	UniqueCode        string `json:"unique_code"`
	PrevChartInfoID   int    `json:"prev_chart_info_id"`
	NextChartInfoID   int    `json:"next_chart_info_id"`
	ChartInfoSource   int    `json:"chart_info_source"`
}
