package comment

type ReqComment struct {
	Content            string `description:"留言内容" json:"content"`
	ReportId           int    `description:"报告ID" json:"report_id" `
	ReportChapterId    int    `description:"报告章节ID" json:"report_chapter_id" `
	IsShowName         int8   `description:"是否匿名 0-匿名，1-不匿名" json:"is_show_name"`
	SourceAgent        int    `description:"留言入口来源，1：小程序，2：pc" json:"source_agent"`
	OldReportId        int    `description:"老后台报告ID （research_report_id）" json:"old_report_id" `
	OldReportChapterId int    `description:"老后台报告章节ID（research_report_type_id）" json:"old_report_chapter_id" `
}

type ReqDel struct {
	CommentId uint64 `description:"留言ID" json:"comment_id"`
}
