package voice_broadcast_statistics

type VoiceBroadcastStatistics struct {
	Id            int    `gorm:"primaryKey;column:id;"`
	CompanyId     int    `description:"客户ID"`
	CompanyName   string `description:"客户名称"`
	UserId        int    `description:"用户ID"`
	RealName      string `description:"用户名称"`
	Mobile        string `description:"用户手机号"`
	Email         string `description:"电子邮箱"`
	CompanyStatus string `description:"客户状态"`
	SellerId      int    `description:"销售id"`
	Source        int    `description:"点击来源,1手机小程序,2pc小程序,3web端"`
	BroadcastId   int    `description:"语音ID"`
	BroadcastName string `description:"语音名称"`
	SectionId     int    `description:"语音分类ID"`
	SectionName   string `description:"语音分类名称"`
	VarietyId     int    `description:"品种id"`
	VarietyName   string `description:"品种名称"`
	AuthorId      int    `description:"作者id"`
	Author        string `description:"语音管理员"`
	PublishTime   string `description:"发布时间"`
	CreateTime    string `description:"访问时间"`
	StopSeconds   int    `description:"停止时的秒数"`
}

// TableName 表名变更
func (voiceBroadcastStatistics *VoiceBroadcastStatistics) TableName() string {
	return "yb_voice_broadcast_statistics"
}
