package yb_comment_anonymous_user

import (
	"time"
)

// YbCommentAnonymousUser 问答社区评论匿名表
type YbCommentAnonymousUser struct {
	UserID     uint64    `gorm:"primaryKey;column:user_id;type:bigint(9) unsigned;not null;default:0" json:"-"` // 用户id
	CreateTime time.Time `gorm:"column:create_time;type:timestamp;default:CURRENT_TIMESTAMP" json:"createTime"` // 添加时间
}

// TableName get sql table name.获取数据库表名
func (m *YbCommentAnonymousUser) TableName() string {
	return "yb_comment_anonymous_user"
}

// YbCommentAnonymousUserColumns get sql column name.获取数据库列名
var YbCommentAnonymousUserColumns = struct {
	UserID     string
	CreateTime string
}{
	UserID:     "user_id",
	CreateTime: "create_time",
}
